@import "../../../../../styles/_var.scss";

:host {
  display: flex;
}

.toolbar-button {
  display: flex;
  position: relative;

  .icon-button {

    .icon {
      // Color is defined in _toolbar.scss
    }

    &.open {
      background: rgba(0, 0, 0, 0.05);
    }
  }


  .dropdown {
    background: white;
    position: absolute;
    color: $color__text-darkest;
    top: $height__toolbar;
    right: 0;
    min-width: 350px;
    z-index: -1;
    transform: translateY(-110%) scale(0);
    transform-origin: top right;
    visibility: hidden;
    transition: transform .4s cubic-bezier(.25,.8,.25,1), visibility .4s cubic-bezier(.25,.8,.25,1);

    @media screen and (max-width: 599px) {
      min-width: 100vw;
      right: -142px; // width of user-button + quickpanel-button
    }

    &.open {
      transform: translateY(0) scale(1);
      visibility: visible;
    }

    .card {

      .header {
        color: #555;
        font-size: 18px;
      }

      .content {
        overflow: hidden;
        max-height: 256px;

        .notification {
          min-height: 64px;
          padding: 0 16px 0 14px;
          position: relative;
          color: #666;
          cursor: pointer;

          .icon {
            height: 28px;
            width: 28px;
            line-height: 28px;
            font-size: 18px;
            margin-right: 13px;
            text-align: center;
            border-radius: 50%;
            background: #FFF;
            color: #888;
            border: 1px solid #EEE;
          }

          .title {
            font-weight: 500;
            font-size: 14px;
          }

          .time {
            font-size: 12px;
          }

          .close {
            font-size: 18px;
            width: 18px;
            height: 18px;
            line-height: 18px;
          }

          &.primary {
            .icon {
              background: $color__primary;
              color: $color__primary-contrast;
            }
          }

          &.accent {
            .icon {
              background: $color__accent;
              color: $color__accent-contrast;
            }
          }

          &.warn {
            .icon {
              background: $color__warn;
              color: $color__warn-contrast;
            }
          }

          &.read {
            color: #999;

            .name {
              font-weight: normal;
            }
          }
        }

        .no-notifications {
          padding: 16px;
          text-align: center;
          color: $color__text-dark;
          font-size: 14px;
        }
      }

      .footer {
        min-height: 42px;

        .action {
          cursor: pointer;
          color: #AAA;
          text-align: center;
          font-size: 13px;
        }
      }

      .divider {
        width: calc(100% - 30px);
        height: 1px;
        background: #EEE;
        margin: 0 16px 0 14px;
      }
    }
  }
}
